Subject: [Mip4] Seeking information about implemented Monitoring tools for the Home Agent.

From: TS Lura <[email-masked]>
Date: Tue, 8 Mar 2011 18:10:35 +0000

Dear participants of the mip4 mailing-list,

I am a student doing research for my dissertation. In part of that research
I am looking for monitoring tools, specifically implemented for the Home
Agent. (MIB RFC2006)  Or for Mobile IP suite.
So far I have only found general tools, as the HP NNMi, Nagios, OpenNMS,
Cacti, Munin, NetMRG. And a framework for massive SNMP polling named Torrus.

I have done some research on Cisco ASA and Juniper's Steel-Belted Radius
Mobile IP Module. But I have been unsuccessful in determining if they have
implemented software to display the MIB structure in RFC 2006 in other forms
than in a router CLI.
I would be very grateful, if anyone could answer my question of:

 - Is there is any tools which is designed specifically to monitor and
display, in for example a web interface, the information from the data
objects in RFC 2006?

Kind regards,

T.S.Lura.

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 09 Mar 2011 14:22:30 +0100

For the HA implementation "dynamics" there is a dynha_tool which is CLI
and shows the egistrations.

For SNMP - I suppose if I google I can find a large number of open
source SNMP tools showing contents of databases, like the "Free MIB
Browser".

I am also interested whether there exists an RFC2006-specific (rfc2006
"MIB for MIP") monitoring tool freely available.

Alex

Le 08/03/2011 19:10, TS Lura a écrit :
> I am a student doing research for my dissertation. In part of that
> research I am looking for monitoring tools, specifically implemented
> for the Home Agent. (MIB RFC2006)  Or for Mobile IP suite. So far I
> have only found general tools, as the HP NNMi, Nagios, OpenNMS,
> I have done some research on Cisco ASA and Juniper's Steel-Belted
> Radius Mobile IP Module. But I have been unsuccessful in determining
> if they have implemented software to display the MIB structure in RFC
> 2006 in other forms than in a router CLI. I would be very grateful,
> if anyone could answer my question of:
>
>  display, in for example a web interface, the information from the
> data objects in RFC 2006?
>
>
>
> Kind regards,
>
> T.S.Lura.
>
>
>
>
>
>
>
>
>
> -- Mip4 mailing list: [email-masked] Web interface:
> https://www.ietf.org/mailman/listinfo/mip4 Charter page:
> http://www.ietf.org/html.charters/mip4-charter.html Supplemental
> site: http://www.mip4.org/

---

From: TS Lura <[email-masked]>
Date: Mon, 14 Mar 2011 15:43:32 +0000

Okay,

Thank you for the feedback. It helped me.
I am currently working on a web gui interface which implements the RFC2006
which is to be freely available.
Its an simple solution build on Perl and the Perl Dancer web framework with
RRDtools. Which I have combined with a Java Script Mocha(UI) to spice it up
a bit.

If there is any interest I can post a link when the software is finished.

T.S.

On Wed, Mar 9, 2011 at 1:22 PM, Alexandru Petrescu <
[email-masked]> wrote:

> --
> Mip4 mailing list: [email-masked]
>   Web interface: https://www.ietf.org/mailman/listinfo/mip4
>    Charter page: http://www.ietf.org/html.charters/mip4-charter.html
> Supplemental site: http://www.mip4.org/
>